Support » Plugin: GoogleGraph » Update Error

  • Resolved Laverneus Dinglefoot

    (@laverneus-dinglefoot)


    I recently updated this plugin, and doing so has caused every page on my site to yield this message:

    Parse error: syntax error, unexpected ‘[‘ in /srv/disk3/1631639/www/nflsgreatest.co.nf/wp-content/plugins/googlegraph/googlegraph.php on line 142

    I am unable to access my site from the internet, and I don’t know how to deactivate or uninstall the plugin otherwise. I’m hoping you can help me out.

    https://wordpress.org/plugins/googlegraph/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author jvrtanoski

    (@jvrtanoski)

    Which version of PHP you use on your server?

    Currently 5.3.28

    Plugin Author jvrtanoski

    (@jvrtanoski)

    This is the issue, in the latest relays I was working with arrays, however the code I wrote is “PHP 5.4” and above compliant.
    I will fix the code to be compliant with 5.3, test and let you know to install.

    To help your start the server, if you have access to FTP to your hosting site you need to remove the file “/srv/disk3/1631639/www/nflsgreatest.co.nf/wp-content/plugins/googlegraph/googlegraph.php” and the server will work again.

    Let me know if you managed to remove the file

    That worked. Thank you for the super fast and accurate help.

    Plugin Author jvrtanoski

    (@jvrtanoski)

    You are welcome,
    I apologise for the inconvenience, it just slip my mind that PHP 5.3 will not accept the advanced constructs for arrays.

    I have fixed the scripts to work for PHP 5.3, I am testing them and in 10-15 min I will release 0.4.0.1 which will work on your server and you will be able to update safely.

    Plugin Author jvrtanoski

    (@jvrtanoski)

    The PHP 5.3 compatible version is released as 0.4.0.1
    In order to install this version you will need to clean the “remains” of the failed 0.4 plug-in. To do this, please use FTP and remove the “/srv/disk3/1631639/www/nflsgreatest.co.nf/wp-content/plugins/googlegraph” folder (with all it’s content).
    Once you have done so, please go to Plugins page and press the “new” button. Enter “GoogleGraph” in the top right search box. Once the GoogleGraph plugin is displayed, press “Install”

    Please let me know if you have managed to install the updated plugin.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Update Error’ is closed to new replies.